commit 341c6293c390372f4d52ae0809197651bd9b27a4
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Thu Oct 4 14:50:31 2018 +0200

    ref #7806 show search result count
    
     - also remove "Load details" button

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/webimport/termimport/GfBioTerminologyImportComposite.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/webimport/termimport/GfBioTerminologyImportComposite.java
index 5a09cd2cc..7f091b4b0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/webimport/termimport/GfBioTerminologyImportComposite.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/webimport/termimport/GfBioTerminologyImportComposite.java
@@ -12,7 +12,6 @@ import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.ListViewer;
 import org.eclipse.jface.viewers.TreeViewer;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.ScrolledComposite;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
@@ -50,7 +49,6 @@ public class GfBioTerminologyImportComposite extends Composite{
     private Text txtLabel;
     private Text txtUri;
     private Text txtDescription;
-    private Button btnLoadDetails;
     private Label lblNewLabel_3;
     private Composite composite_3;
     private Label lblNewLabel_4;
@@ -58,6 +56,10 @@ public class GfBioTerminologyImportComposite extends Composite{
     private TermVocabularyComboViewer termVocabularyComboViewer;
     private List list;
     private ListViewer listSynonyms;
+    private Composite composite_4;
+    private Label lblNewLabel_5;
+    private Composite composite_5;
+    private Label lblResultCount;
 
     public GfBioTerminologyImportComposite(Composite parent, int style) {
         super(parent, style);
@@ -100,18 +102,27 @@ public class GfBioTerminologyImportComposite extends Composite{
         composite_2.setLayout(new GridLayout(2, false));
         composite_2.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
 
-        treeTermHierarchy = new TreeViewer(composite_2, SWT.BORDER);
+        composite_4 = new Composite(composite_2, SWT.NONE);
+        composite_4.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
+        composite_4.setLayout(new GridLayout(1, false));
+
+        treeTermHierarchy = new TreeViewer(composite_4, SWT.BORDER);
         Tree tree = treeTermHierarchy.getTree();
         tree.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
 
+        composite_5 = new Composite(composite_4, SWT.NONE);
+        composite_5.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false, 1, 1));
+        composite_5.setLayout(new GridLayout(2, false));
+
+        lblNewLabel_5 = new Label(composite_5, SWT.NONE);
+        lblNewLabel_5.setText("Results found:");
+
+        lblResultCount = new Label(composite_5, SWT.NONE);
+        lblResultCount.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
+
         composite_1 = new Composite(composite_2, SWT.NONE);
         composite_1.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
         composite_1.setLayout(new GridLayout(2, false));
-        new Label(composite_1, SWT.NONE);
-
-        btnLoadDetails = new Button(composite_1, SWT.NONE);
-        btnLoadDetails.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
-        btnLoadDetails.setText("Load Details");
 
         lblNewLabel = new Label(composite_1, SWT.NONE);
         lblNewLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
@@ -135,7 +146,7 @@ public class GfBioTerminologyImportComposite extends Composite{
         lblNewLabel_2.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
         lblNewLabel_2.setText("Description");
 
-        txtDescription = new Text(composite_1, SWT.NONE);
+        txtDescription = new Text(composite_1, SWT.WRAP);
         txtDescription.setBackground(SWTResourceManager.getColor(SWT.COLOR_WIDGET_BACKGROUND));
         txtDescription.setEditable(false);
         txtDescription.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
@@ -172,9 +183,6 @@ public class GfBioTerminologyImportComposite extends Composite{
     public Text getLblLabel() {
         return txtLabel;
     }
-    public Button getBtnLoadDetails() {
-        return btnLoadDetails;
-    }
     public ListViewer getListSynonyms() {
         return listSynonyms;
     }
@@ -184,4 +192,7 @@ public class GfBioTerminologyImportComposite extends Composite{
     public Button getBtnRemoveVocabulary() {
         return btnRemoveVocabulary;
     }
+    public Label getLblResultCount() {
+        return lblResultCount;
+    }
 }