commit 5f352a565413ba539d2e911236a11c601c4fc641
Author: Katja Luther <k.luther@bgbm.org>
Date:   Tue Apr 9 08:58:13 2019 +0200

    ref #3836: show modifier part only if recommended modifier voc exist

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
index 414c817ff..8d0b66352 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
@@ -46,7 +46,9 @@ public class CategoricalDataDetailElement extends AbstractDetailedDescriptionDet
 		section_stateData.setEntity(entity);
 		section_stateData.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
 		createTimePeriod(formElement, entity, style);
-		createModifier(formElement, entity, style);
+		if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+		    createModifier(formElement, entity, style);
+		}
 	}
 
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CommonNameDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CommonNameDetailElement.java
index 25bc711a5..d4ea748e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CommonNameDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CommonNameDetailElement.java
@@ -68,7 +68,10 @@ public class CommonNameDetailElement extends AbstractDetailedDescriptionDetailEl
 				entity.getArea(), EntitySelectionElement.NOTHING, style);
 
 		createTimePeriod(formElement, entity, style);
-		createModifier(formElement, entity, style);
+		if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+            createModifier(formElement, entity, style);
+        }
+
 	}
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/DistributionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/DistributionDetailElement.java
index 3130c1ab2..c188e1377 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/DistributionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/DistributionDetailElement.java
@@ -58,7 +58,9 @@ public class DistributionDetailElement extends
 
         combo_presenceAbsence = formFactory.createTermComboElement(PresenceAbsenceTerm.class, this, "Distribution Status", entity.getStatus(), style);
         createTimePeriod(formElement, entity, style);
-        createModifier(formElement, entity, style);
+        if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+            createModifier(formElement, entity, style);
+        }
 	}
 
 	/** {@inheritDoc} */
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/IndividualsAssociationDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/IndividualsAssociationDetailElement.java
index 3e8c8f4b9..5aa195678 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/IndividualsAssociationDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/IndividualsAssociationDetailElement.java
@@ -61,7 +61,9 @@ public class IndividualsAssociationDetailElement extends
 		}
 
 		createTimePeriod(formElement, entity, style);
-		createModifier(formElement, entity, style);
+		if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+            createModifier(formElement, entity, style);
+        }
 	}
 
 	/** {@inheritDoc} */
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
index 3afaf4761..bf073bbeb 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
@@ -7,9 +7,9 @@ import java.util.ArrayList;
 
 import org.eclipse.ui.forms.widgets.ExpandableComposite;
 
-import eu.etaxonomy.cdm.model.term.TermType;
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
 import eu.etaxonomy.cdm.model.description.QuantitativeData;
+import eu.etaxonomy.cdm.model.term.TermType;
 import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
@@ -51,6 +51,9 @@ public class QuantitativeDataDetailElement extends
 		section_statisticalMeasurementValues = formFactory.createStatisticalMeasurementValueSection(getConversationHolder(), formElement, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
 		section_statisticalMeasurementValues.setEntity(entity);
 		section_statisticalMeasurementValues.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
+		if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+            createModifier(formElement, entity, style);
+        }
 	}
 
 	/** {@inheritDoc} */
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/TaxonInteractionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/TaxonInteractionDetailElement.java
index 5665bd412..886a5864f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/TaxonInteractionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/TaxonInteractionDetailElement.java
@@ -79,7 +79,9 @@ public class TaxonInteractionDetailElement extends
                     CdmStore.getDefaultLanguage()).getText());
         }
         createTimePeriod(formElement, entity, style);
-        createModifier(formElement, entity, style);
+        if (entity.getFeature().getRecommendedModifierEnumeration() != null){
+            createModifier(formElement, entity, style);
+        }
 	}
 
 	/** {@inheritDoc} */