commit 353af88bbacbc00d57afbe96266b9656a33f5e95
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri Apr 7 13:47:49 2017 +0200

    ref #5752 Fix dependencies for integration tests

diff --git a/eu.etaxonomy.taxeditor.cdmlib/.classpath b/eu.etaxonomy.taxeditor.cdmlib/.classpath
index 2055230db..07c07d641 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/.classpath
+++ b/eu.etaxonomy.taxeditor.cdmlib/.classpath
@@ -15,19 +15,6 @@
 	<classpathentry exported="true" kind="lib" path="lib/guava-19.0.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/libthrift-0.9.2.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/lsid-server-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-analyzers-common-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-backward-codecs-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-core-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-facet-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-grouping-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-highlighter-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-join-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-memory-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-misc-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-queries-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-queryparser-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-sandbox-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-suggest-5.4.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/mapstruct-1.0.0.Final.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/mchange-commons-java-0.2.11.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/mysql-connector-java-5.1.38.jar"/>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index a69531b07..3435cabbc 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -201,6 +201,7 @@ Export-Package: com.google.api,
  eu.etaxonomy.taxeditor.service,
  eu.etaxonomy.taxeditor.session,
  eu.etaxonomy.taxeditor.session.mock,
+ javassist.util.proxy,
  javax.persistence,
  junit.framework;uses:="org.junit.runner.manipulation,org.junit.runner,org.junit.runner.notification",
  net.sf.ehcache,
@@ -217,6 +218,7 @@ Export-Package: com.google.api,
  org.apache.commons.lang.exception,
  org.apache.commons.lang.text,
  org.apache.commons.logging,
+ org.apache.fop.apps,
  org.apache.http,
  org.apache.http.client,
  org.apache.http.util,
@@ -334,6 +336,7 @@ Export-Package: com.google.api,
  org.joda.time.tz;uses:="org.joda.time",
  org.junit;uses:="org.hamcrest",
  org.junit.runner,
+ org.slf4j,
  org.springframework.aop,
  org.springframework.aop.framework,
  org.springframework.beans,
@@ -684,19 +687,6 @@ Bundle-ClassPath: .,
  lib/guava-19.0.jar,
  lib/libthrift-0.9.2.jar,
  lib/lsid-server-1.1.2.jar,
- lib/lucene-analyzers-common-5.4.1.jar,
- lib/lucene-backward-codecs-5.4.1.jar,
- lib/lucene-core-5.4.1.jar,
- lib/lucene-facet-5.4.1.jar,
- lib/lucene-grouping-5.4.1.jar,
- lib/lucene-highlighter-5.4.1.jar,
- lib/lucene-join-5.4.1.jar,
- lib/lucene-memory-5.4.1.jar,
- lib/lucene-misc-5.4.1.jar,
- lib/lucene-queries-5.4.1.jar,
- lib/lucene-queryparser-5.4.1.jar,
- lib/lucene-sandbox-5.4.1.jar,
- lib/lucene-suggest-5.4.1.jar,
  lib/mapstruct-1.0.0.Final.jar,
  lib/mchange-commons-java-0.2.11.jar,
  lib/mysql-connector-java-5.1.38.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index b1ab6cfa2..f5a8673db 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -184,19 +184,6 @@ bin.includes = META-INF/,\
                lib/guava-19.0.jar,\
                lib/libthrift-0.9.2.jar,\
                lib/lsid-server-1.1.2.jar,\
-               lib/lucene-analyzers-common-5.4.1.jar,\
-               lib/lucene-backward-codecs-5.4.1.jar,\
-               lib/lucene-core-5.4.1.jar,\
-               lib/lucene-facet-5.4.1.jar,\
-               lib/lucene-grouping-5.4.1.jar,\
-               lib/lucene-highlighter-5.4.1.jar,\
-               lib/lucene-join-5.4.1.jar,\
-               lib/lucene-memory-5.4.1.jar,\
-               lib/lucene-misc-5.4.1.jar,\
-               lib/lucene-queries-5.4.1.jar,\
-               lib/lucene-queryparser-5.4.1.jar,\
-               lib/lucene-sandbox-5.4.1.jar,\
-               lib/lucene-suggest-5.4.1.jar,\
                lib/mapstruct-1.0.0.Final.jar,\
                lib/mchange-commons-java-0.2.11.jar,\
                lib/mysql-connector-java-5.1.38.jar,\