commit 0da360d20f4b20a7b523ab88708320dee6c81899
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Feb 6 15:55:00 2018 +0100

    ref #6568 Add working set perspective

diff --git a/eu.etaxonomy.taxeditor.editor/fragment.e4xmi b/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
index 950ca939b..ec6405279 100644
--- a/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
+++ b/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
@@ -35,27 +35,8 @@
     </elements>
     <elements xsi:type="basic:PartDescriptor" xmi:id="_ARZyMKz2EeeBIsZyvYlAaA" elementId="eu.etaxonomy.taxeditor.editor.group.authority.e4.CdmAuthorityEditorE4" label="%editor.name.4" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.group.authority.e4.CdmAuthorityEditorE4"/>
     <elements xsi:type="basic:PartDescriptor" xmi:id="_Fa8l4M7XEeex0rHJ7p8Zdw" elementId="eu.etaxonomy.taxeditor.editor.view.workingSet.WorkingSetEditor" label="Working Set Editor" tooltip="Working Set Editor" allowMultiple="true" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetEditor"/>
-    <elements xsi:type="basic:PartDescriptor" xmi:id="_rpaDsNK2EeeWSJT7vW9jsw" elementId="eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart" label="Character Matrix" tooltip="Character Matrix" allowMultiple="true" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart">
-      <handlers xmi:id="_d_HUYOPBEeeIH8IplZ0cuA" elementId="eu.etaxonomy.taxeditor.editor.handler.2" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.charactermatrix.handler.ExportCharacterMatrixHandler" command="_YeWagOPBEeeIH8IplZ0cuA"/>
-      <menus xmi:id="_PLw00OPBEeeIH8IplZ0cuA" elementId="eu.etaxonomy.taxeditor.editor.menu.characterMatrix" label="Character Matrix">
-        <children xsi:type="menu:HandledMenuItem" xmi:id="_TGK04OPBEeeIH8IplZ0cuA" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.characterMatrix.export" label="Export" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_YeWagOPBEeeIH8IplZ0cuA"/>
-      </menus>
-    </elements>
-    <elements xsi:type="basic:PartDescriptor" xmi:id="_XcQMEN8mEee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator" label="Working Set Navigator" closeable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator">
-      <handlers xmi:id="_JvYVgNXoEeeLtdyzt6BEAA" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenCharacterMatrixHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenCharacterMatrixHandler" command="_FnWwMNXoEeeLtdyzt6BEAA"/>
-      <handlers xmi:id="_SQL_wN86Eee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenWorkingSetEditorHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenWorkingSetEditorHandler" command="_xdCSwN85Eee9zP45RW4C3A"/>
-      <handlers xmi:id="_mjo-gOSjEee9gvnH2Eirpw" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.CreateWorkingSetHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.CreateWorkingSetHandler" command="_XO7eUOSjEee9gvnH2Eirpw"/>
-      <handlers xmi:id="_yQHcoOS3EeeKONG__xkGZg" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.deleteWorkingSet" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.DeleteWorkingSetHandler" command="_uPmNgOS3EeeKONG__xkGZg"/>
-      <handlers xmi:id="_-g9koPycEeeOqKfc2I-67A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.RefreshWorkingSetNavigatorHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.RefreshWorkingSetNavigatorHandler" command="_4k-uYPycEeeOqKfc2I-67A"/>
-      <menus xsi:type="menu:PopupMenu" xmi:id="__S3vQN87Eee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.popupmenu.workingSetNavigator">
-        <children xsi:type="menu:DynamicMenuContribution" xmi:id="_BRxE4N88Eee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.workingSetNavigator.dynamicmenucontribution.cdmViewer" label="Open in..." contributionURI="bundleclass://eu.etaxonomy.taxeditor.store/eu.etaxonomy.taxeditor.view.CdmViewerContextMenuE4"/>
-        <children xsi:type="menu:HandledMenuItem" xmi:id="_UUfGcOSjEee9gvnH2Eirpw" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.newworkingset" label="New Working Set" tooltip="New Working Set" command="_XO7eUOSjEee9gvnH2Eirpw"/>
-        <children xsi:type="menu:HandledMenuItem" xmi:id="_JSt1kOS4EeeKONG__xkGZg" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.deleteWorkingSet" label="Delete Working Set" tooltip="Delete Working Set" command="_uPmNgOS3EeeKONG__xkGZg"/>
-      </menus>
-      <toolbar xmi:id="_gz3CkPycEeeOqKfc2I-67A" elementId="eu.etaxonomy.taxeditor.editor.toolbar.2">
-        <children xsi:type="menu:HandledToolItem" xmi:id="_hnZYUPycEeeOqKfc2I-67A" elementId="eu.etaxonomy.taxeditor.editor.handledtoolitem.0" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/refresh.gif" tooltip="Refresh" command="_4k-uYPycEeeOqKfc2I-67A"/>
-      </toolbar>
-    </elements>
+    <elements xsi:type="basic:PartDescriptor" xmi:id="_rpaDsNK2EeeWSJT7vW9jsw" elementId="eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart" label="Character Matrix" tooltip="Character Matrix" allowMultiple="true" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart"/>
+    <elements xsi:type="basic:PartDescriptor" xmi:id="_XcQMEN8mEee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator" label="Working Set Navigator" closeable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator"/>
   </fragments>
   <fragments xsi:type="fragment:StringModelFragment" xmi:id="__mwtMDVpEee_b7RlBzTDRw" featurename="commands" parentElementId="xpath:/">
     <elements xsi:type="commands:Command" xmi:id="_BjF3ADVqEee_b7RlBzTDRw" elementId="eu.etaxonomy.taxeditor.editor.command.specimeneditor.create_field_unit" commandName="%command.commandname.1"/>
@@ -380,7 +361,7 @@
     </elements>
     <elements xsi:type="basic_1:Part" xmi:id="_aRnHYMLREeev9_rmnyo1RA" elementId="eu.etaxonomy.taxeditor.editor.group.authority.e4.CdmAuthorityEditorE4" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.group.authority.e4.CdmAuthorityEditorE4" label="%editor.name.4" closeable="true"/>
     <elements xsi:type="basic_1:Part" xmi:id="_uw6u8cuqEeeLbtry0vbE_g" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4" label="%view.name" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.editor/icons/address-book-new.png">
-       <handlers xmi:id="_nxGRoIGyEeehlNPrK_b5JA" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.CreateDescriptionHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.CreateDescriptionHandlerE4" command="_gE3lwIGyEeehlNPrK_b5JA"/>
+      <handlers xmi:id="_nxGRoIGyEeehlNPrK_b5JA" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.CreateDescriptionHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.CreateDescriptionHandlerE4" command="_gE3lwIGyEeehlNPrK_b5JA"/>
       <handlers xmi:id="_mOjHgIG3EeehlNPrK_b5JA" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.MoveDescriptionToOtherTaxonHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.MoveDescriptionToOtherTaxonHandlerE4" command="_Al6c0IG4EeehlNPrK_b5JA"/>
       <handlers xmi:id="_aaq0UIG4EeehlNPrK_b5JA" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.MoveDescriptionElementsHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.MoveDescriptionElementsHandlerE4" command="_QJzBcIG4EeehlNPrK_b5JA"/>
       <handlers xmi:id="_DgC2MIG5EeehlNPrK_b5JA" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.DeleteHandler.factualDataView" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler.DeleteHandlerE4" command="_AqgMcIG5EeehlNPrK_b5JA"/>
@@ -408,6 +389,28 @@
         <children xsi:type="menu:HandledToolItem" xmi:id="_xqBkML4vEeewU62zpvPllA" elementId="eu.etaxonomy.taxeditor.editor.factual.handledtoolitem.expand" label="Expand" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/expandAll.jpg" command="_vDKPoL4vEeewU62zpvPllA"/>
       </toolbar>
     </elements>
+    <elements xsi:type="basic_1:Part" xmi:id="_G6aAAAs8Eei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart" accessibilityPhrase="" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart" label="Character Matrix" tooltip="Character Matrix" closeable="true">
+      <handlers xmi:id="_MxB1IAs8Eei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.handler.2" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.view.charactermatrix.handler.ExportCharacterMatrixHandler" command="_YeWagOPBEeeIH8IplZ0cuA"/>
+      <menus xmi:id="_LxGCIAs8Eei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.menu.characterMatrix" label="Character Matrix">
+        <children xsi:type="menu:HandledMenuItem" xmi:id="_LxGCIQs8Eei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.characterMatrix.export" label="Export" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_YeWagOPBEeeIH8IplZ0cuA"/>
+      </menus>
+    </elements>
+    <elements xsi:type="basic_1:Part" xmi:id="_JKiRwAtLEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.view.workingSet.WorkingSetEditor" accessibilityPhrase="" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetEditor" label="Working Set Editor" tooltip="Working Set Editor" closeable="true"/>
+    <elements xsi:type="basic_1:Part" xmi:id="_KNgfwAtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.WorkingSetNavigator" label="Working Set Navigator" tooltip="Working Set Navigator" closeable="true">
+      <handlers xmi:id="_TUvxEAtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenCharacterMatrixHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenCharacterMatrixHandler" command="_FnWwMNXoEeeLtdyzt6BEAA"/>
+      <handlers xmi:id="_SQL_wN86Eee9zP45RW4C3A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenWorkingSetEditorHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.OpenWorkingSetEditorHandler" command="_xdCSwN85Eee9zP45RW4C3A"/>
+      <handlers xmi:id="_mjo-gOSjEee9gvnH2Eirpw" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.CreateWorkingSetHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.CreateWorkingSetHandler" command="_XO7eUOSjEee9gvnH2Eirpw"/>
+      <handlers xmi:id="_yQHcoOS3EeeKONG__xkGZg" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.deleteWorkingSet" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.DeleteWorkingSetHandler" command="_uPmNgOS3EeeKONG__xkGZg"/>
+      <handlers xmi:id="_-g9koPycEeeOqKfc2I-67A" elementId="eu.etaxonomy.taxeditor.editor.workingSet.handler.RefreshWorkingSetNavigatorHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.editor/eu.etaxonomy.taxeditor.editor.workingSet.handler.RefreshWorkingSetNavigatorHandler" command="_4k-uYPycEeeOqKfc2I-67A"/>
+      <menus xsi:type="menu:PopupMenu" xmi:id="_Sh27kAtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.popupmenu.workingSetNavigator">
+        <children xsi:type="menu:DynamicMenuContribution" xmi:id="_Sh27kQtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.workingSetNavigator.dynamicmenucontribution.cdmViewer" label="Open in..." contributionURI="bundleclass://eu.etaxonomy.taxeditor.store/eu.etaxonomy.taxeditor.view.CdmViewerContextMenuE4"/>
+        <children xsi:type="menu:HandledMenuItem" xmi:id="_Sh27kgtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.newworkingset" label="New Working Set" tooltip="New Working Set" command="_XO7eUOSjEee9gvnH2Eirpw"/>
+        <children xsi:type="menu:HandledMenuItem" xmi:id="_Sh27kwtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.handledmenuitem.deleteWorkingSet" label="Delete Working Set" tooltip="Delete Working Set" command="_uPmNgOS3EeeKONG__xkGZg"/>
+      </menus>
+      <toolbar xmi:id="_PLuGMAtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.toolbar.3">
+        <children xsi:type="menu:HandledToolItem" xmi:id="_QrJRkAtNEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.handledtoolitem.0" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/refresh.gif" tooltip="Refresh" command="_4k-uYPycEeeOqKfc2I-67A"/>
+      </toolbar>
+    </elements>
   </fragments>
   <fragments xsi:type="fragment:StringModelFragment" xmi:id="_uw6u8MuqEeeLbtry0vbE_g" featurename="children" parentElementId="specimen.data">
     <elements xsi:type="advanced:Placeholder" xmi:id="_5u7UoMuqEeeLbtry0vbE_g" elementId="eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4" ref="_uw6u8cuqEeeLbtry0vbE_g"/>
@@ -423,5 +426,10 @@
     <elements xsi:type="advanced:Placeholder" xmi:id="_hH4CMMuxEeeIUZ_CoTN6NQ" elementId="eu.etaxonomy.taxeditor.editor.key.polytomous.e4.PolytomousKeyGraphEditorE4" toBeRendered="false" ref="_OQhUEMLREeev9_rmnyo1RA"/>
     <elements xsi:type="advanced:Placeholder" xmi:id="_jtZS8MuxEeeIUZ_CoTN6NQ" elementId="eu.etaxonomy.taxeditor.editor.key.polytomous.e4.PolytomousKeyListEditorE4" toBeRendered="false" ref="_UnOXcMLREeev9_rmnyo1RA"/>
     <elements xsi:type="advanced:Placeholder" xmi:id="_lsvUgMuxEeeIUZ_CoTN6NQ" elementId="eu.etaxonomy.taxeditor.editor.group.authority.e4.CdmAuthorityEditorE4" toBeRendered="false" ref="_aRnHYMLREeev9_rmnyo1RA"/>
+    <elements xsi:type="advanced:Placeholder" xmi:id="_OgbWMAs8Eei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.workingSet.matrix.CharacterMatrixPart" toBeRendered="false" ref="_G6aAAAs8Eei3kN0puDKnHA"/>
+    <elements xsi:type="advanced:Placeholder" xmi:id="_Q-ogMAtLEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.view.workingSet.WorkingSetEditor" toBeRendered="false" ref="_JKiRwAtLEei3kN0puDKnHA"/>
+  </fragments>
+  <fragments xsi:type="fragment:StringModelFragment" xmi:id="_0foTgAtLEei3kN0puDKnHA" featurename="children" parentElementId="workingset.wsNavigation">
+    <elements xsi:type="advanced:Placeholder" xmi:id="_5NzS0AtLEei3kN0puDKnHA" elementId="eu.etaxonomy.taxeditor.editor.placeholder.0" ref="_KNgfwAtNEei3kN0puDKnHA"/>
   </fragments>
 </fragment:ModelFragments>